var compareVer, should;

if (typeof require === 'function') {
  should = require('should');
  compareVer = require('../index');
}

describe('compareVer #clean', function() {
  it('compare 0', function() {
    var res;
    res = compareVer.clean(["1.7.2", "1.7.1"]);
    res[0].should.equal("1.7.2");
    return res[1].should.equal("1.7.1");
  });
  it('compare 2', function() {
    var res;
    res = compareVer.clean(['dfdsfd', '1.0.1']);
    res.length.should.equal(1);
    return res[0].should.equal('1.0.1');
  });
  it('compare 3', function() {
    var res;
    res = compareVer.clean(['1.1', 'dfdsfd', 12121, '1.0.1']);
    res.length.should.equal(2);
    res[0].should.equal('1.1');
    return res[1].should.equal('1.0.1');
  });
  it('compare 4', function() {
    var len, res;
    res = compareVer.clean([1.7, "1.7.0", 1.8, "1.7", "1.ab.8", "1.8.0", "1.8", "1.9.0", "1.90", 1.90]);
    len = res.length;
    len.should.equal(6);
    res[0].should.equal("1.7.0");
    res[1].should.equal("1.7");
    res[2].should.equal("1.8.0");
    return res[len - 1].should.equal("1.90");
  });
  it('compare 5', function() {
    var res;
    res = compareVer.clean();
    return res.should.equal(false);
  });
  return it('compare 6', function() {
    var res;
    res = compareVer.clean([]);
    return res.length.should.equal(0);
  });
});
